<?php
// PHP script for proxying requests to the GeoTrack servlet to avoid
// the cross-origin policy since we are running the servlet on a 
// different port from the normal web server.

$url   = "http://katie.mtech.edu:8080/";

$request = $url;

if ((!isset($_GET['id'])) ||
    (!isset($_GET['command'])))
{
    die("Both id and command parameters must be set!");
}

$request .= "?id=" . $_GET['id'];
$request .= "&command=" . $_GET['command'];
       
if (isset($_GET['northing']))
{
    $request .= "&northing=" . $_GET['northing'];
}
if (isset($_GET['easting']))
{
    $request .= "&easting=" . $_GET['easting'];
}
if (isset($_GET['name']))
{
    $request .= "&name=" . $_GET['name'];
}
if (isset($_GET['distance']))
{
    $request .= "&distance=" . $_GET['distance'];
}

// Make it so if loaded in a browser it is identified as JSON
header("Content-type: application/json");

// Encode the credentials and create the stream context.
$data = array(
    'http' => array(
    'request_fulluri' => true,
    'ignore_errors' => true)
);

$context = stream_context_create($data);

// Get the response from the servlet
$response = file_get_contents($request, 0, $context);

echo $response;

?>
